Skip to main content
GET
List swag base products

Authorizations

X-Api-Key
string
header
required

Company Level Authentication

Include your API key in the X-Api-Key header for every request:

Headers

snappy-account-id
string

Must be provided to retrieve swag products.

Example:

"acc123456"

Query Parameters

filter[brandId]
string[]

Comma-separated brand IDs.

Minimum string length: 1
Example:
filter[brandName]
string

Case-insensitive brand-name substring.

Minimum string length: 1
Example:

"Cotopaxi"

filter[tagId]
string[]

Comma-separated tag IDs.

Minimum string length: 1
Example:
filter[title]
string

Case-insensitive title substring.

Minimum string length: 1
Example:

"Classic Tee"

filter[id]
string[]

Comma-separated base-product UUIDs.

Pattern: ^[0-9a-f]{8}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{12}$
Example:
filter[color]
string[]

Comma-separated color titles.

Minimum string length: 1
Example:
filter[size]
string[]

Comma-separated size titles.

Minimum string length: 1
Example:
filter[printingTechnique]
enum<string>[]

Comma-separated printing-technique display names.

Supported printing-technique display name.

Available options:
Direct to film,
Direct to garment,
Embroidery,
Sublimation,
Digital inkjet,
Laser printing,
UV printing,
Digital printing
Example:
fields
enum<string>[]

Comma-separated expanded base-product fields.

Optional expanded fields for a swag base product.

Available options:
options,
printingTechnique
Example:
include
enum<string>[]

Comma-separated related entities to include.

Related entities to include with a swag base product.

Available options:
brand,
tags
Example:
page[number]
integer
default:1

1-indexed page number.

Required range: x >= 1
Example:

1

page[size]
integer
default:100

Number of base products per page.

Required range: 1 <= x <= 300
Example:

100

location
string
required

Required ISO 3166-1 alpha-2 country code.

Pattern: ^[A-Z]{2}$
Example:

"US"

Response

Paginated swag base products.

data
object[]
required

Top-level JSON:API-style pagination links for paginated list responses. first, next, and prev are all required and all nullable. prev is null on cursor-paginated endpoints (backward navigation not supported).

Last modified on June 17, 2026